MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031649Open CASCADE[OCCT] OCCT:Visualizationpublic2020-07-03 19:342020-07-11 12:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0* 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031649: Visualization, TKOpenGL - broken skybox in VR output
DescriptionCubemap background is displayed incorrectly within VR output.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon steamvr_OK.png (848,618 bytes) 2020-07-04 13:11
png file icon occt_vr_skybox_KO.png (609,245 bytes) 2020-07-04 13:11
png file icon occt_vr_skybox_OK.png (986,685 bytes) 2020-07-04 13:11

- Relationships

-  Notes
(0092941)
git (administrator)
2020-07-03 19:47

Branch CR31649 has been created by kgv.

SHA-1: a82d8c73667776898ea26386718aeb2c2165b6f6


Detailed log of new commits:

Author: kgv
Date: Fri Jul 3 19:48:57 2020 +0300

    0031649: Visualization, TKOpenGL - broken skybox in VR output
    
    OpenGl_ShaderManager::GetBgCubeMapProgram() and OpenGl_BackgroundArray::createCubeMapArray()
    have been corrected to draw cube in straightforward way instead of a screen-quad.
    
    Graphic3d_Camera::SetCustomStereoProjection() now recieves decomposed projection + head-to-eye matrices.
    Added method Graphic3d_Camera::StereoProjection() returning projection matrix without translation part.
    OpenGl_BackgroundArray::Render() now applies stereoscopic projection matrix in case of VR output,
    but keeps using mono projection matrix in case of common 3D displays.
(0092984)
git (administrator)
2020-07-04 13:13

Branch CR31649 has been updated forcibly by kgv.

SHA-1: ae70a7e59c8bee54e479abed133a68d53fbfd4c9
(0092985)
kgv (developer)
2020-07-04 13:14
edited on: 2020-07-04 14:40

Patch is ready for review in OCCT branch CR31649.

http://jenkins-test-12.nnov.opencascade.com/view/CR31649-master-KGV/ [^]

(0093007)
git (administrator)
2020-07-06 10:15

Branch CR31649 has been updated forcibly by kgv.

SHA-1: ed8f45dde7bdd1f0697a95a074c7d3b09cfdafa1
(0093008)
osa (developer)
2020-07-06 10:17

The patch is reviewed
(0093100)
bugmaster (administrator)
2020-07-11 12:12

Combination -
OCCT branch : IR-2020-07-10
master SHA - 74440d215bf268902458b25e36a61c791f21fc38
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-10 SHA - 6e90d3ea8d7f26e39ec8b263c708ad6ecf5dfaaa
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17210.790000000085 / 17175.910000000105 [+0.20%]
Products
Total CPU difference: 11229.020000000071 / 11228.490000000076 [+0.00%]
Windows-64-VC14:
OCCT
Total CPU difference: 18725.6875 / 18705.46875 [+0.11%]
Products
Total CPU difference: 11144.125 / 13046.140625 [-14.58%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093121)
git (administrator)
2020-07-11 12:31

Branch CR31649 has been deleted by inv.

SHA-1: ed8f45dde7bdd1f0697a95a074c7d3b09cfdafa1

- Related Changesets
occt: master cdc54fb0
Timestamp: 2020-07-03 16:48:57
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031649: Visualization, TKOpenGL - broken skybox in VR output

OpenGl_ShaderManager::GetBgCubeMapProgram() and OpenGl_BackgroundArray::createCubeMapArray()
have been corrected to draw cube in straightforward way instead of a screen-quad.

Graphic3d_Camera::SetCustomStereoProjection() now recieves decomposed projection + head-to-eye matrices.
Added method Graphic3d_Camera::StereoProjection() returning projection matrix without translation part.
OpenGl_BackgroundArray::Render() now applies stereoscopic projection matrix in case of VR output,
but keeps using mono projection matrix in case of common 3D displays.
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_BackgroundArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-07-03 19:34 kgv New Issue
2020-07-03 19:34 kgv Assigned To => kgv
2020-07-03 19:47 git Note Added: 0092941
2020-07-04 13:11 kgv File Added: steamvr_OK.png
2020-07-04 13:11 kgv File Added: occt_vr_skybox_KO.png
2020-07-04 13:11 kgv File Added: occt_vr_skybox_OK.png
2020-07-04 13:13 git Note Added: 0092984
2020-07-04 13:14 kgv Note Added: 0092985
2020-07-04 13:14 kgv Assigned To kgv => osa
2020-07-04 13:14 kgv Status new => resolved
2020-07-04 13:15 kgv Relationship added child of 0029384
2020-07-04 14:40 kgv Note Edited: 0092985 View Revisions
2020-07-06 10:15 git Note Added: 0093007
2020-07-06 10:17 osa Note Added: 0093008
2020-07-06 10:17 osa Assigned To osa => bugmaster
2020-07-06 10:17 osa Status resolved => reviewed
2020-07-11 12:12 bugmaster Note Added: 0093100
2020-07-11 12:12 bugmaster Status reviewed => tested
2020-07-11 12:15 bugmaster Test case number => Not required
2020-07-11 12:22 bugmaster Changeset attached => occt master cdc54fb0
2020-07-11 12:22 bugmaster Status tested => verified
2020-07-11 12:22 bugmaster Resolution open => fixed
2020-07-11 12:31 git Note Added: 0093121


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker